--    cr2hdr developped by a1ex
--    http://www.magiclantern.fm/forum/index.php?topic=7139.0
--    Plugin developped for Magic Lantern
--    Add "cr2hdr" to export
--
--    Metadata added by akry
--
--    Copyright (C) <2014>  <kichetof kichetof@gmail.com>
--
--    This program is free software; you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation; either version 2 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License along
--    with this program; if not, write to the Free Software Foundation, Inc.,
--    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--
--    cr2hdr (mac) & cr2hdr.exe (win) compiled on mac with nightly builds on march 16 2014.
--    dcraw.exe (june 18 2013)
--    exiftool.exe (july 13 2013)

return {

	metadataFieldsForPhotos = {
		{
			id = 'ISOdifference',
			title = LOC "$$$/ML/Metadata/ISOdifference=ISO difference",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'DynamicRange',
			title = LOC "$$$/ML/Metadata/DynamicRange=Dynamic range",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'DynamicRangeOrig1',
			title = LOC "$$$/ML/Metadata/DynamicRangeOrig1=Dynamic range (src1)",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'DynamicRangeOrig2',
			title = LOC "$$$/ML/Metadata/DynamicRangeOrig2=Dynamic range (src2)",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'SemiOverexposed',
			title = LOC "$$$/ML/Metadata/SemiOverexposed=Semi-overexposed",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'DeepShadows',
			title = LOC "$$$/ML/Metadata/DeepShadows=Deep shadows",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'ISOoverlap',
			title = LOC "$$$/ML/Metadata/ISOoverlap=ISO overlap",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'NoiseLevel',
			title = LOC "$$$/ML/Metadata/NoiseLevel=Noise level",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
		{
			id = 'NoiseLevelIdeal',
			title = LOC "$$$/ML/Metadata/NoiseLevelIdeal=Noise level (ideal)",
			dataType = 'string',
			searchable = true,
			browsable = true,
			readOnly = true,
			version = 3,
		},
	},

	schemaVersion = 6,
	
}